namespace PromotionService.Domain.AggregatesModel.CampaignAggregate;

using PromotionService.Domain.SeedWork;

/// <summary>
/// EN: Type of backing asset for the voucher.
/// VI: Loại tài sản đảm bảo cho voucher.
/// </summary>
public class AssetType : Enumeration
{
    /// <summary>
    /// EN: Currency (VND, USD, etc.)
    /// VI: Tiền tệ (VND, USD, v.v.)
    /// </summary>
    public static readonly AssetType Currency = new(1, nameof(Currency));

    /// <summary>
    /// EN: Points (PPoint).
    /// VI: Điểm (PPoint).
    /// </summary>
    public static readonly AssetType Point = new(2, nameof(Point));

    protected AssetType() : base(0, "Unknown") { }
    public AssetType(int id, string name) : base(id, name) { }
}
